Login
Authentication
Login
Authenticate and obtain access tokens
POST
Login
Description
Authenticates a user with email and password credentials. Returns authentication tokens upon successful login. The service implements brute-force protection: after 5 failed login attempts, the account is temporarily locked for 15 minutes.Authentication
No authentication required.Request Body
User’s email address. Must be a valid email format.
User’s password.
Response
JWT access token for authenticating subsequent requests. Typically expires in 15 minutes.
Refresh token used to obtain new access tokens. Typically expires in 7 days.
ISO 8601 timestamp indicating when the access token expires.
User information object containing:
Id(guid): Unique user identifierUsername(string): The usernameEmail(string): The user’s email addressCreatedAt(datetime): Account creation timestamp
Status Codes
- 200 OK: Successfully authenticated
- 401 Unauthorized: Invalid credentials, account inactive, or account locked
Example Request
cURL
Example Response
200 OK
401 Unauthorized
401 Account Locked